%uiextras.get  Retrieve a default property value from a parent object
%
%   propValue = uiextras.get(hObj,propName) retrieves a default property
%   value from the object hObj. Note that the hObj must be a valid graphics
%   container object such as a uipanel, figure or the special flag 0 (the
%   overall environment). The property name should take the form
%   "DefaultClassProperty", for example to get the default "TitleColor" for
%   the class "uiextras.BoxPanel", use "DefaultBoxPanelTitleColor". If no
%   default has been set for the specified property an error is thrown.
%
%   Examples:
%   >> p = uiextras.get( gcf(), 'DefaultBoxPanelTitleColor' )
%   
%   >> p = uiextras.get( 0, 'DefaultHBoxPadding' )
%
%   See also: uiextras.set
